package cn.net.caoyao.cpzshandset.bean;

/**
 * 发运单
 * @author echo
 *
 */
public class InvoiceBean {
	private int id;//发货单主键
	private int transmode;//发运方式： 1：火车发运(车皮)  2:汽车发运(货车)
	private int transid;//发运单id(火车发运单/汽车发运单)
	private long transOnlineId;
	private long trans_product_id;//发货的货物id
	private long driver_id;//司机id
	
	private int elemtype;//类型  1：托盘包含的标签    2：单个产品的标签
	private String labelid;//标签ID
	private String timestamp;//时间戳
	private String package_id;//labelid  对应的 package_idvarchar(32)
	private int labelStatus = 0;//0:默认状态     1:重复发货
	public int getId() {
		return id;
	}
	public void setId(int id) {
		this.id = id;
	}
	public int getTransmode() {
		return transmode;
	}
	public void setTransmode(int transmode) {
		this.transmode = transmode;
	}
	public int getTransid() {
		return transid;
	}
	public void setTransid(int transid) {
		this.transid = transid;
	}
	public int getElemtype() {
		return elemtype;
	}
	public void setElemtype(int elemtype) {
		this.elemtype = elemtype;
	}
	public String getLabelid() {
		return labelid;
	}
	public void setLabelid(String labelid) {
		this.labelid = labelid;
	}
	public String getTimestamp() {
		return timestamp;
	}
	public void setTimestamp(String timestamp) {
		this.timestamp = timestamp;
	}
	public String getPackage_id() {
		return package_id;
	}
	public void setPackage_id(String package_id) {
		this.package_id = package_id;
	}
	public long getTransOnlineId() {
		return transOnlineId;
	}
	public void setTransOnlineId(long transOnlineId) {
		this.transOnlineId = transOnlineId;
	}
	public int getLabelStatus() {
		return labelStatus;
	}
	public void setLabelStatus(int labelStatus) {
		this.labelStatus = labelStatus;
	}
	public long getTrans_product_id() {
		return trans_product_id;
	}
	public void setTrans_product_id(long trans_product_id) {
		this.trans_product_id = trans_product_id;
	}
	public long getDriver_id() {
		return driver_id;
	}
	public void setDriver_id(long driver_id) {
		this.driver_id = driver_id;
	}
	@Override
	public String toString() {
		return "InvoiceBean [id=" + id + ", transmode=" + transmode + ", transid=" + transid + ", transOnlineId="
				+ transOnlineId + ", trans_product_id=" + trans_product_id + ", driver_id=" + driver_id + ", elemtype="
				+ elemtype + ", labelid=" + labelid + ", timestamp=" + timestamp + ", package_id=" + package_id
				+ ", labelStatus=" + labelStatus + "]";
	}
}
